Kerbal Space Program - Bug #22773

Discarded DeployScience item appears when launched
06/05/2019 04:14 AM - wasml

Status: Duplicate Start date: 06/05/2019
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 1.71 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game

Description

Description

When launching a craft after removing a DeployedScience item the DeployedScience item shows up on the launch pad hovering in
mid air and glowing red.

Steps to Replicate

1) Enter the VAB and place a probecore with a SEQ-3 cargo storage unit on it.

2) Load any of the DeployedScience items into the SEQ-3 container.

3) Remove the (just added) DeployedScience item and drop it off to the side — it should be glowing red now as it's not part of the
vessel but is in the editor.

4) Launch the vessel.

5) Hit escape and “Revert Flight”/’Revert to VAB”

Expected
The vessel should appear on the pad but the DeployedScience item should not. Returning to the VAB and the unattached items
should be gone.

Observed
The vessel appears on the pad and the DeployedScience item appears floating in the air and glowing red near by (From the VAB it
seems to usually be over in the exaust shoot towards the flag). Returning to the VAB the unattached items are still present.

Other info
Running a new clean install of KSP version 1.7.1 from the downloaded file ksp-win64-1.7.1.zip with the Breaking Ground expansion
1.0.0 installed on a Windows 10 PC.

Related issues:
Is duplicate of Kerbal Space Program - Bug #22772: Discarded DeployScience it... Closed 06/05/2019

History

#1 - 06/12/2019 08:00 PM - chris.fulton
- Status changed from New to Duplicate

- % Done changed from 0 to 100

#2 - 06/12/2019 08:00 PM - chris.fulton
- Is duplicate of Bug #22772: Discarded DeployScience item appears when launched added
